Help - Search - Members - Calendar
Full Version: Jeode for Open Zaurus
OESF Forums > General Forums > General Support and Discussion > Software
shellyquade
I have a version of Jeode that I expected to work on Open Zaurus 3.5.1, but I keep getting this error when I try to run evm:

evm: error while loading shared libraries: libsl.so.1: cannot open shared object file: No such file or directory

Very few people seem to have posted about this error, but I did read somewhere else that this error may mean that I'm trying to use a too-new version of Jeode. However, I don't know where to get a version of Jeode that's older than 1.10.7 (or, similarly, one that works). Has anyone else encountered this error and solved it? Or does anyone know where I can get an older/working version of Jeode?

Thanks,
Shelly
zenyatta
libsl is the Sharp-provided, closed-source library that is present on Sharp ROMs. I think someone should be able to send it to you or you can flash a recent Sharp ROM and save the library from there. You should then flash back to OZ, put the library in /usr/lib (and perhaps run ldconfig?) and ?mabye? it will help.

z.
lardman
Try the older version of Jeode which doesn't require libsl.

I've tried adding in the dependency chain and eventually (after quite a few libs and lots of messing about - with 3.3.6pre1 this was - you get an undefined symbols error).


Si
This is a "lo-fi" version of our main content. To view the full version with more information, formatting and images, please click here.
Invision Power Board © 2001-2014 Invision Power Services, Inc.